#pragma once

#include "../Utility/IndexRange.h"


namespace lib_geo
{


class SubObject
{
public:
	void Clear(void)
	{
		m_Name.clear();

		m_VertRange.SetRange(0, 0);
		m_NormRange.SetRange(0, 0);
		m_UVRange.SetRange(0, 0);
		m_FaceRange.SetRange(0, 0);
	}

	int GetEndVidx(void) const
	{
		return m_VertRange.Offset + m_VertRange.NumElems;
	}


public:
	std::string m_Name;
	IndexRange  m_VertRange;
	IndexRange  m_NormRange;
	IndexRange  m_UVRange;
	IndexRange  m_FaceRange;
};


}
